net.minecraft.client.gui

## Enum GuiScreenConfirmation.ConfirmationType

- java.lang.Object
- - java.lang.Enum<GuiScreenConfirmation.ConfirmationType>
  - - net.minecraft.client.gui.GuiScreenConfirmation.ConfirmationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GuiScreenConfirmation.ConfirmationType>
  Enclosing class:
    GuiScreenConfirmation

      public static enum GuiScreenConfirmation.ConfirmationType
      extends java.lang.Enum<GuiScreenConfirmation.ConfirmationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Info`
    `Warning`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `field_148515_d`
    `int` | `field_148518_c`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GuiScreenConfirmation.ConfirmationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GuiScreenConfirmation.ConfirmationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Warning

          public static final GuiScreenConfirmation.ConfirmationType Warning

    - #### Info

          public static final GuiScreenConfirmation.ConfirmationType Info

  - ### Field Detail

    - #### field_148518_c

          public final int field_148518_c

    - #### field_148515_d

          public final java.lang.String field_148515_d

  - ### Method Detail

    - #### values

          public static GuiScreenConfirmation.ConfirmationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GuiScreenConfirmation.ConfirmationType c : GuiScreenConfirmation.ConfirmationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GuiScreenConfirmation.ConfirmationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null